package at.ac.uibk.gitsearch.service.dto;

import javax.validation.constraints.*;
import java.io.Serializable;

/**
 * A DTO for the {@link at.ac.uibk.gitsearch.domain.WatchListEntry} entity.
 */
public class WatchListEntryDTO implements Serializable {
    
    private Long id;

    @NotNull
    private String exerciseId;

    private String exerciseName;


    private Long watchlistIdId;
    
    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getExerciseId() {
        return exerciseId;
    }

    public void setExerciseId(String exerciseId) {
        this.exerciseId = exerciseId;
    }

    public String getExerciseName() {
        return exerciseName;
    }

    public void setExerciseName(String exerciseName) {
        this.exerciseName = exerciseName;
    }

    public Long getWatchlistIdId() {
        return watchlistIdId;
    }

    public void setWatchlistIdId(Long userWatchListId) {
        this.watchlistIdId = userWatchListId;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (!(o instanceof WatchListEntryDTO)) {
            return false;
        }

        return id != null && id.equals(((WatchListEntryDTO) o).id);
    }

    @Override
    public int hashCode() {
        return 31;
    }

    // prettier-ignore
    @Override
    public String toString() {
        return "WatchListEntryDTO{" +
            "id=" + getId() +
            ", exerciseId='" + getExerciseId() + "'" +
            ", exerciseName='" + getExerciseName() + "'" +
            ", watchlistIdId=" + getWatchlistIdId() +
            "}";
    }
}
